Subject: [tsvwg] I-D Action: draft-ietf-tsvwg-l4sops-02.txt

From: [email-masked]
Date: Mon, 25 Oct 2021 16:12:45 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Transport Area Working Group WG of the IETF.

        Title           : Operational Guidance for Deployment of L4S in the Internet
        Author          : Greg White
	Filename        : draft-ietf-tsvwg-l4sops-02.txt
	Pages           : 22
	Date            : 2021-10-25

Abstract:
   This document is intended to provide guidance in order to ensure
   successful deployment of Low Latency Low Loss Scalable throughput
   (L4S) in the Internet.  Other L4S documents provide guidance for
   running an L4S experiment, but this document is focused solely on
   potential interactions between L4S flows and flows using the original
   ('Classic') ECN over a Classic ECN bottleneck link.  The document
   discusses the potential outcomes of these interactions, describes
   mechanisms to detect the presence of Classic ECN bottlenecks, and
   identifies opportunities to prevent and/or detect and resolve
   fairness problems in such networks.  This guidance is aimed at
   operators of end-systems, operators of networks, and researchers.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-tsvwg-l4sops/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-tsvwg-l4sops-02.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-l4sops-02

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Greg White <[email-masked]>
Date: Tue, 26 Oct 2021 00:09:13 +0000

All,

The updates in this revision include:

1. Added text that discusses the risk of incorrectly classifying a path as containing/not-containing a RFC3168 bottleneck
2. Changed the text describing short transactional transfers to address https://mailarchive.ietf.org/arch/msg/tsvwg/VHtB6QpSyMo33fgE7vT0slNR0Q4/ 
3. Added guidance that L4S experiments start with edge servers as opposed to hosts that send traffic to a wide variety of networks.
4. For hosts that serve a wide variety of networks, added a comment that the Akamai study found a small number of networks with heavier deployment of RFC3168, and that these networks could be avoided for use of L4S.
5. For networks that contain RFC3168 equipment, updated the description of "6.1 Preferred Options" to make it clear why they are preferred.  
6. Added a ref to section 4.2 of L4S-Arch for L4S-aware FQ.
7. Added a paragraph describing the use of alternative (local-use) identifiers to facilitate updating RFC3168 nodes
8. Changed "Less Preferred Options" to "Non-Preferred Options" and added a description as to why they are non-preferred. 

Thanks to those who provided suggested text for these updates!

-Greg

On 10/25/21, 5:14 PM, "tsvwg on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    Abstract: